@import url('https://fonts.googleapis.com/css2?family=Goldman&family=Poppins:wght@300&display=swap');

*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Goldman', cursive;
  scroll-behavior: smooth;
}

:root{
  --cblue1: #0abcd4;
  --cblue2: #518b9a;
  --cyellow: #fecb00;
}
body{
  position: relative;
}

.top {
  position: fixed;
  right: 10px;
  bottom: 45px;
  visibility: hidden;
  opacity: 0;
  z-index: 100;
  transition: 0.5s;
}

.top ion-icon{
  color: var(--cblue2);
  font-size: 1.5rem;


}
.top.active{
  visibility: visible;
  opacity: 1;
}

.hamburger {
  position: absolute;
  top: 45%;
  right: 20px;
  display: none;
  cursor: pointer;
  color: var(--cblue1);
  font-size: 1.6rem;
  background: transparent;
  margin-right: 30px;
  border: none;

}
/* HEADER */

header{
  position: relative;
  width: 100%;
  height: 140px;
  background-image: url(img/bg01.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;

}

.logo{
  width: 30%;
  height: 140px;
}

.logo img{
  width: 9.5rem;
  height: auto;
  margin: 0.5rem 7rem;
  padding-top: 5px;
}

#navbar{
  width: 70%;
  height: 140px;
}

.header-buttons {
  display: none;
  gap: 1rem;
  position: absolute;
  left: 50%;
  bottom: -20px;
  transform: translateX(-50%);
  z-index: 100;
}

.header-buttons a {
  text-decoration: none;
  text-align: center;
  font-size: 1rem;
  color: var(--cblue2);  
  line-height: 20px;
  background-color: var(--cyellow);
  padding: 10px 2rem;
}

.social{
  width: 100%;
  height: 40px;
  background-color: var(--cyellow);
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.social-dis{
  display: flex;
  align-items: center;

}

.social-dis a ion-icon{
  font-size: 1.5rem;
  color: var(--cblue2);
  text-decoration: none;
}

.social-dis a ion-icon:hover{
  color: white;
}

.social-dis span a{
  font-size: 1rem;
  color: var(--cblue2);
  padding-left: 0.5rem;
  text-decoration: none;
}

.social-dis span a:hover{
  color: white;
}


#navbar ul{
  width: 100%;
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: space-around;

}

#navbar ul li{
  list-style: none;
}
#navbar ul li a{
  font-size: 1.2rem;
  color: white;
  text-decoration: none;
}

#navbar ul li a:hover{

  color: var(--cblue1);
}

#navbar .quotes {
  color: white;
  text-transform: uppercase;
  font-size: 1rem;
  border: 0.1rem solid var(--cblue1);
  padding: 0.6rem;
  cursor: pointer;
  transition: 0.5s ease;
}
#navbar .quotes:hover {
  border: 0.1rem solid white;

}

/*      CONTACT    */

footer{
  width: 100%;
  height: auto;
  background-color: black;
  display: flex;
  justify-content: center;
}

footer p{
  font-size: 0.8rem;
  color: white;
  text-align: center;
  padding-bottom: 2rem;
}
.contact-holder{
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  padding-top: 6rem;
  padding-bottom: 6rem;
  justify-content: space-around;
}

.contact-info{
  width: 40%;
  display: flex;
  flex-direction: column;
  padding-left: 7rem;
}

.contact-info h2{
  text-transform: uppercase;
  font-size: 1.5rem;
  color: white;
}

.contact-info span{
  margin-top: 0.5rem;
  margin-bottom: 1.5rem;
  width: 230px;
  height: 0.2rem;
  background-color: var(--cblue1);
}
.contact-info p{
  margin-top: 0.4rem;
  margin-bottom: 0.4rem;
  font-size: 1.3rem;
  color: var(--cyellow);
  text-align: left;
}
.contact-info .car{
  width: 90%;
  height: auto;
  margin-top: 3rem;
}
.contact-info .car img{
  width: 100%;
  height: 100%;
}

.footer-info{
  display: flex;
  flex-direction: column;
}

.footer-info a{
  text-decoration: none;
  font-size: 1.3rem;
  color: white;
  line-height: 2rem;
}

.footer-info a:hover{
  color: var(--cblue1);
}

.footer-icon{
  display: flex;
}
.social-footer ion-icon{
  font-size: 2rem;
  color: var(--cblue1);
  padding-top: 2rem;
  padding-right: 1rem;
}

.social-footer ion-icon:hover{
  color: white;
}





/*      CONTACT  FORM  */


.contact-form{
  width: 60%;
  height: auto;


}


form{
  width: 80%;
  height: 100%;
  position: relative;
  margin: 0 auto;
  padding-top: 3rem;
  padding-bottom: 3rem;
  background: rgba(255, 255, 255, 0.09);
  backdrop-filter: blur(70px);
  display: flex;
  flex-direction: column;
  align-items: center;
}

form h2{
  font-size: 1.3rem;
  color: var(--cblue1);
  margin-bottom: 1rem;
}

form input{
  width: 500px;
  height: 50px;
  border: none;
  border-bottom: 2px solid var(--cblue1);
  margin: 20px;
  padding-left: 1rem;
  outline: none;
  background: transparent;
  color: white;

}

form textarea{
  width: 500px;
  border: none;
  border-bottom: 2px solid var(--cblue1);
  margin: 20px;
  padding-left: 10px;
  outline: none;
  background: transparent;
  color: white;
}
 .send{
  background: var(--cblue1);
  text-transform: uppercase;
  font-size: 1.2rem;
  color: white;
  border-bottom: none;
  cursor: pointer;
}



.proba{
  width: 100%;
  height: 80vh;
  background-image: url(img/bg01.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.proba p{
    font-size: 1.8rem;
    color: white;
}

.proba img{
    width: 200px;
    height: 180px;
    padding-top: 3rem;
}


@media screen and (max-width: 1200px) {

  .top {
    right: 5px;
    bottom: 40px;
  }


  #navbar {
    display: none;
  }
  .hamburger{
    display: block;
  }

  header{
    flex-direction: column;
    align-items: center;
    height: 160px;

  }


  #navbar.active {
    display: block;
    position: absolute;
    top: 160px;
    left: 0;
    width: 100%;
    height: 100vh;
    background-image: url(img/bg01.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 100;

    }

  #navbar.active .social{
    width: 100%;
    height: auto;
    flex-direction: column;
    align-items: center;
    padding-top: 1rem;
    padding-bottom: 1rem;

  }

  #navbar.active .social-dis{
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }



 .logo{
    width: 100%;
    height: 160px;
  }
  .logo img{
    width: 10rem;
    height: 7rem;
    margin-top: 1.5rem;
    margin-left: 2rem;
  }

  #navbar.active ul{
    width: 100%;
    height: auto;
    padding-top: 30px;
    flex-direction: column;
  }

    #navbar.active ul li{
    padding-top: 1.5rem;
  }

  #navbar.active .quote{
    padding-top: 0.6rem;
    padding-bottom: 0.6rem;
  }

  .header-buttons {
    display: flex;
  }

  #navbar.active + .hamburger + .header-buttons {
    display: none;
  }

  .contact-holder{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding-top: 3rem;
    padding-bottom: 3rem;

  }

  .contact-info{
    width: 100%;
    align-items: center;
    padding-bottom: 3rem;
    padding-left: 0;
  }

  .contact-form{
    width: 100%;
    align-items: center;
  }
}


@media screen and (max-width: 820px) {

  header {
    height: 240px;
  }

  .hamburger {
    top: 74px;
  }

  .header-buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
    top: 170px;
    left: 33px;
    right: 24px;
    bottom: auto;
    transform: none;
  }
}


@media screen and (max-width: 500px) {
  form{
    width: 95%;
    height: 100%;
    position: relative;
    margin: 0 auto;

  }

  form input{
    width: 90%;
    height: 50px;
    border: none;
    border-bottom: 2px solid var(--cblue1);
    margin: 20px;
    padding-left: 0;
    outline: none;
    background: transparent;
    color: white;

  }

  form textarea{
    width: 90%;
    border: none;
    border-bottom: 2px solid var(--cblue1);
    margin: 20px;
    padding-left: 0;
    outline: none;
    background: transparent;
    color: white;
  }
}
